DOSTARTUPHOOKS(9)

NAME
dostartuphooks - run all startup hooks

SYNOPSIS
#include <sys/types.h>
#include <sys/systm.h>
void
dostartuphooks(void);

DESCRIPTION
The dostartuphooks() function invokes all startup hooks established using the startuphook_establish(9) function. Startup hooks are called in order, i.e., the startup hook established first will be called first.

This function is called from main() with interrupts turned on. It is called immediately before the system configures its root and swap devices, but fully after all normal autoconfiguration. This can be used to let device subsystems needing delayed configuration (e.g., due to very long initialization times) still provide the root device.

Startup hooks are implemented via the more general dohooks(9) API.

SEE ALSO
dohooks(9), startuphook_establish(9)